Package org.opensaml.saml.metadata.resolver.filter

# Class FilterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.opensaml.saml.metadata.resolver.filter.FilterException

All Implemented Interfaces:
  `Serializable`

public class FilterException extends Exception
An exception thrown during the evaluation of a `MetadataFilter`.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`FilterException()`
Constructor.
`FilterException(Exception wrappedException)`
Constructor.
`FilterException(String message)`
Constructor.
`FilterException(String message, Exception wrappedException)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

## Constructor Details

### FilterException

public FilterException()
Constructor.

### FilterException

public FilterException(@Nullable String message)
Constructor.

Parameters:
  `message` - exception message

### FilterException

public FilterException(@Nullable Exception wrappedException)
Constructor.

Parameters:
  `wrappedException` - exception to be wrapped by this one

### FilterException

public FilterException(@Nullable String message, @Nullable Exception wrappedException)
Constructor.

Parameters:
  `message` - exception message
  `wrappedException` - exception to be wrapped by this one